package com.zcloud.service.sms.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.sms.PayManagerMapper;
import com.zcloud.service.sms.PayManagerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：充值记录
 * 作者：luoxiaobao
 * 时间：2021-03-23
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class PayManagerServiceImpl implements PayManagerService {

	@Autowired
	private PayManagerMapper paymanagerMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		paymanagerMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		paymanagerMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		paymanagerMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return paymanagerMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return paymanagerMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return paymanagerMapper.findById(pd);
	}
	public PageData findByOId(PageData pd)throws Exception{
		return paymanagerMapper.findByOId(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		paymanagerMapper.deleteAll(ArrayDATA_IDS);
	}

}

